import { ConnectedAircraft } from "@repo/db";

export const xPlaneObjectsAvailable = (
	missionStationIds?: number[],
	aircrafts?: ConnectedAircraft[],
) => {
	return missionStationIds?.some((id) => {
		const aircraft = aircrafts?.find((a) => a.stationId === id);
		return aircraft?.posXplanePluginActive;
	});
};
